Page MenuHomePhabricator

Implement the upload service
Closed, ResolvedPublic

Description

As a REST endpoint /upload, which should perform the following steps:

  1. validate the RDF data model;
  2. upload a valid dataset to Blazegraph.

Related Objects

StatusAssignedTask
ResolvedHjfocs
ResolvedHjfocs

Event Timeline

Hjfocs created this task.Jun 28 2017, 9:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2017, 9:46 AM
Hjfocs moved this task from Doing to Done on the Wikidata-primary-sources board.Jul 14 2017, 8:31 AM

Chages to the code base committed and referenced to this task.
Awaiting code review before this story can be closed.

Change 365253 had a related patch set uploaded (by Hjfocs; owner: Hjfocs):
[wikidata/query/rdf@master] T169045: Implement the upload service

https://gerrit.wikimedia.org/r/365253

Hjfocs closed this task as Resolved.May 31 2018, 9:03 AM